REM #############################
REM # Mikado 3.8.2 # 12/05/2023 #
REM ########################################################################################
REM # Required Software :                                                                  #
REM #    Last Free Oracle JAVA JRE 1.8 build 8u231                                         #
REM #       download at https://www.oracle.com/technetwork/java/javase/downloads/          #
REM # OR                                                                                   #
REM #    OpenJDK 13.0.1 or higer                                                           #
REM #       download at https://jdk.java.net/13/                                           #
REM ########################################################################################

REM ##############################
REM # Mikado with user interface #
REM ############################################################
REM # mikado-home=mikado directory                             #
REM # optional : log-file=name of logfile (default Mikado.log) #
REM # optional : trace=false(default) or sql                   #
REM # optional : max-files-in-zip=1000 (default)               #
REM # optional : zip-prefix=    (no prefix by default)         #
REM # optional : -Dhttp.proxyHost=xxx.xxx.xxx.xx               #
REM # optional : -Dhttp.proxyPort=xxxx                         #
REM # optional : -Dhttps.proxyHost=xxx.xxx.xxx.xx              #
REM # optional : -Dhttps.proxyPort=xxxx                        #
REM # optional : -Xms100m -Xmx100m                             #
REM # TO FIX JAVA VERSION :                                    #
REM # set JAVA_HOME=C:\Program Files (x86)\Java\jdk1.8xx       #
REM # set PATH=%JAVA_HOME%\bin;%PATH%                          #
REM #####################################################################
REM # option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true #
REM # is added for OpenJDK to prevent an illegal access operation       #
REM #####################################################################
REM # set MIKADO_FOLDER="path to mikado installation folder"
REM # java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp %MIKADO_FOLDER%\dist\*;%MIKADO_FOLDER%\dist\lib\* mikado.Mikado mikado-home=%MIKADO_FOLDER%
REM #
REM # default command from mikado installation folder
java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp dist\*;dist\lib\* mikado.Mikado mikado-home=.

REM ##################################################
REM # Mikado batch - update vocabulary once and exit #
REM ############################################################
REM # mikado-home="path to mikado installation folder"         #
REM # UpdateCenter=once                                        #
REM #####################################################################
REM # option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true #
REM # is added for OpenJDK to prevent an illegal access operation       #
REM #####################################################################
REM # set MIKADO_FOLDER="path to mikado installation folder"
REM # java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp %MIKADO_FOLDER%\dist\*;%MIKADO_FOLDER%\dist\lib\* mikado.Mikado mikado-home=%MIKADO_FOLDER% UpdateCenter=once

REM ################
REM # Mikado batch #
REM #########################################################################
REM # mikado-home="path to mikado installation folder"                      #
REM # batch-type=XmlFiles,ZipFile or Both                                   #
REM # batch-mode=CDI19139,EDMED,CSR19139,EDMERP,EDIOSOP,EDIOSDS,EDIOSPL,PCR #
REM #            SENSORMLSEISMIC,OEMSEISMIC                                 #
REM # conf-file="path to xml automatic configuration file"                  #
REM # nemo-export="path to txt nemo export (alternative for CDI generation)"#
REM #  ==> conf-file OR nemo-export with batch-mode=CDI19139                #
REM # output-dir="path to output directory for generation"                  #
REM # continue-when-error=true or false                                     #
REM # optional : log-file=name of logfile (default Mikado.log)              #
REM # optional : trace=false(default) or sql                                #
REM # optional : max-files-in-zip=1000 (default)                            #
REM # optional : zip-prefix=    (no prefix by default)                      #
REM # optional : UpdateCenter=on or off (default on for vocabulary update)  # 
REM # optional : -Dhttp.proxyHost=xxx.xxx.xxx.xx                            #
REM # optional : -Dhttp.proxyPort=xxxx                                      #
REM # optional : -Xms100m -Xmx100m                                          #
REM #########################################################################
REM # option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true     #
REM # is added for OpenJDK to prevent an illegal access operation           #
REM #########################################################################
REM # set MIKADO_FOLDER="path to mikado installation folder"
REM java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp %MIKADO_FOLDER%\dist\*;%MIKADO_FOLDER%\dist\lib\* mikado.Mikado mikado-home=%MIKADO_FOLDER% batch-type=  batch-mode=  conf-file= output-dir= continue-when-error= log-file=Mikado.log trace=false max-files-in-zip=1000 zip-prefix=

