#############################
# Mikado 3.8.2 # 12/05/2023 #
########################################################################################
# Required Software :                                                                  #
#    Last Free Oracle JAVA JRE 1.8 build 8u231                                         #
#       download at https://www.oracle.com/technetwork/java/javase/downloads/          #
# OR                                                                                   #
#    OpenJDK 13.0.1 or higer                                                           #
#       download at https://jdk.java.net/13/                                           #
########################################################################################

##############################
# Mikado with user interface #
############################################################
# mikado-home="path to mikado installation folder"         #
# optional : log-file=name of logfile (default Mikado.log) #
# optional : trace=false(default) or sql                   #
# optional : max-files-in-zip=1000 (default)               #
# optional : zip-prefix=    (no prefix by default)         #
# optional : -Dhttp.proxyHost=xxx.xxx.xxx.xx               #
# optional : -Dhttp.proxyPort=xxxx                         #
# optional : -Dhttps.proxyHost=xxx.xxx.xxx.xx              #
# optional : -Dhttps.proxyPort=xxxx                        #
# optional : -Xms100m -Xmx100m                             #
#####################################################################
# option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true #
# is added for OpenJDK to prevent an illegal access operation       #
#####################################################################
# C SHELL (csh)
# setenv MIKADO_FOLDER "path to mikado installation folder"
# SHELL (bash)
# export MIKADO_FOLDER="path to mikado installation folder"
# java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp $MIKADO_FOLDER/dist/*:$MIKADO_FOLDER/dist/lib/* mikado.Mikado mikado-home=$MIKADO_FOLDER
#
# default command from mikado installation folder (csh or bash)
java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp dist/*:dist/lib/* mikado.Mikado mikado-home=.

##################################################
# Mikado batch - update vocabulary once and exit #
############################################################
# mikado-home="path to mikado installation folder"         #
# UpdateCenter=once                                        #
#####################################################################
# option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true #
# is added for OpenJDK to prevent an illegal access operation       #
#####################################################################
# C SHELL (csh)
# setenv MIKADO_FOLDER "path to mikado installation folder"
# SHELL (bash)
# export MIKADO_FOLDER="path to mikado installation folder"
# java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp $MIKADO_FOLDER/dist/*:$MIKADO_FOLDER/dist/lib/* mikado.Mikado mikado-home=$MIKADO_FOLDER UpdateCenter=once

################
# Mikado batch #
#########################################################################
# mikado-home="path to mikado installation folder"                      #
# batch-type=XmlFiles,ZipFile or Both                                   #
# batch-mode=CDI19139,EDMED,CSR19139,EDMERP,EDIOSOP,EDIOSDS,EDIOSPL,PCR #
#            SENSORMLSEISMIC,OEMSEISMIC                                 #
# conf-file="path to xml automatic configuration file"                  #
# nemo-export="path to txt nemo export (alternative for CDI generation)"#
#  ==> conf-file OR nemo-export with batch-mode=CDI19139                #
# output-dir="path to output directory for generation"                  #
# continue-when-error=true or false                                     #
# optional : log-file=name of logfile (default Mikado.log)              #
# optional : trace=false(default) or sql                                #
# optional : max-files-in-zip=1000 (default)                            #
# optional : zip-prefix=    (no prefix by default)                      #
# optional : UpdateCenter=on or off (default on for vocabulary update)  # 
# optional : -Dhttp.proxyHost=xxx.xxx.xxx.xx                            #
# optional : -Dhttp.proxyPort=xxxx                                      #
# optional : -Xms100m -Xmx100m                                          #
#########################################################################
# option -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true     #
# is added for OpenJDK to prevent an illegal access operation           #
#########################################################################
# C SHELL (csh)
# setenv MIKADO_FOLDER "path to mikado installation folder"
# SHELL (bash)
# export MIKADO_FOLDER="path to mikado installation folder"
# java -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -cp $MIKADO_FOLDER/dist/*:$MIKADO_FOLDER/dist/lib/* mikado.Mikado mikado-home=$MIKADO_FOLDER batch-type=  batch-mode=  conf-file= output-dir= continue-when-error= log-file=Mikado.log trace=false max-files-in-zip=1000 zip-prefix= UpdateCenter=on

